com.mxgraph.shape

## Class mxLabelShape

- java.lang.Object
- - com.mxgraph.shape.mxBasicShape
  - - com.mxgraph.shape.mxRectangleShape
    - - com.mxgraph.shape.mxImageShape
      - - com.mxgraph.shape.mxLabelShape

- All Implemented Interfaces:
    mxIShape

      public class mxLabelShape
      extends mxImageShape

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxLabelShape()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawGlassEffect(mxGraphics2DCanvas canvas, mxCellState state)` Draws the glass effect
    `java.awt.Color` | `getFillColor(mxGraphics2DCanvas canvas, mxCellState state)`
    `java.awt.Rectangle` | `getImageBounds(mxGraphics2DCanvas canvas, mxCellState state)`
    `java.awt.Color` | `getStrokeColor(mxGraphics2DCanvas canvas, mxCellState state)`
    `boolean` | `hasGradient(mxGraphics2DCanvas canvas, mxCellState state)`
    `void` | `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

    - ### Methods inherited from class com.mxgraph.shape.mxImageShape

      `getImageForStyle`

    - ### Methods inherited from class com.mxgraph.shape.mxRectangleShape

      `getArcSize`

    - ### Methods inherited from class com.mxgraph.shape.mxBasicShape

      `configureGraphics, createShape, getGradientBounds, hasShadow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### mxLabelShape

          public mxLabelShape()

  - ### Method Detail

    - #### paintShape

          public void paintShape(mxGraphics2DCanvas canvas,
                        mxCellState state)

      Specified by:
        `paintShape` in interface `mxIShape`
      Overrides:
        `paintShape` in class `mxImageShape`

    - #### drawGlassEffect

          public static void drawGlassEffect(mxGraphics2DCanvas canvas,
                             mxCellState state)

      Draws the glass effect

    - #### getImageBounds

          public java.awt.Rectangle getImageBounds(mxGraphics2DCanvas canvas,
                                          mxCellState state)

      Overrides:
        `getImageBounds` in class `mxImageShape`

    - #### getFillColor

          public java.awt.Color getFillColor(mxGraphics2DCanvas canvas,
                                    mxCellState state)

      Overrides:
        `getFillColor` in class `mxImageShape`

    - #### getStrokeColor

          public java.awt.Color getStrokeColor(mxGraphics2DCanvas canvas,
                                      mxCellState state)

      Overrides:
        `getStrokeColor` in class `mxImageShape`

    - #### hasGradient

          public boolean hasGradient(mxGraphics2DCanvas canvas,
                            mxCellState state)

      Overrides:
        `hasGradient` in class `mxImageShape`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.